#ifndef MBC_H
#define MBC_H 1
/* Definitions for multi-byte support.
   Created for grep multi-byte extension Jul., 1993 by t^2 (Takahiro Tanimoto)
   Last change: Jul. 9, 1993 by t^2  */

#ifndef const
#ifndef __STDC__
#ifdef __GNUC__
#define const __const__
#define volatile __volatile__
#else
#define const
#define volatile
#endif
#endif
#endif

#ifndef _
#ifdef __STDC__
#define _(x) x
#else
#define _(x) ()
#endif
#endif

#define MBCTYPE_ASCII 0
#define MBCTYPE_EUC 1
#define MBCTYPE_SJIS 2

extern const unsigned char *mbctab;
extern int current_mbctype;

void mbcinit _((int));

#define ismbchar(c) mbctab[(unsigned char)c]

#endif /* !MBC_H */
